[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TGetHandleEvent

Specifies an event handler used to get the handle for the main form in an application.

## Declaration

Source position: forms.pp line 1323

`type TGetHandleEvent = procedure(`
`var Handle: HWND`
`) of object;`

## Arguments

`Handle` |  | Handle for the form instance used as the main form.

## Description

TGetHandleEvent is an object procedure type which defines an event handler signalled to get the handle for the main form in an application. TGetHandleEvent is the type used to implement the OnGetMainFormHandle event handler in TApplication and TApplicationProperties.

## See also

TApplication.OnGetMainFormHandle |  | Event handler used to provide a value for the MainFormHandle property.
TApplicationProperties.OnGetMainFormHandle |  | Event handler used to provide a value for the MainFormHandle property.
TApplication.AddOnGetMainFormHandleHandler |  | Adds a handler signalled when the application MainForm handle is retrieved.
TApplication.RemoveOnGetMainFormHandleHandler |  | Removes a handler used to get the handle for the main form in the application.